Outdated Browser

Important Security Notice Regarding Your Browser

You have been redirected to this page because you are using an older browser which does not support an updated security standard NCSBN has implemented. To continue using NCSBN websites, switch to one of the following browsers.

Supported Browsers

  • Internet Explorer (IE) 11
  • Firefox 27 or higher
  • Google Chrome 38 or higher
  • Microsoft Edge
  • Safari on Mac OSX 10.9 or higher

You can also update your browser now by clicking the “About [browser]” in the menu of each browser and following instructions for updating to the latest version.

IE 11 TLS 1.2 Settings

If you are using IE 11 and still unable to access NCSBN websites, you may need to adjust security settings:

  1. In IE, click the Tools symbol (gear) and then, click Internet Options.
  2. On the Advanced tab, under Settings, scroll down to the Security section.
  3. Locate the Use SSL and Use TLS options and uncheck Use SSL 3.0, Use SSL 2.0 and Use TLS 1.0.
  4. Check Use TLS 1.1 and Use TLS 1.2, if they are not already selected.
  5. Click Apply and then, click OK.

NCSBN recently implemented recommended changes to its sites based on the Payment Card Industry Data Security Standard (PCI DSS).

Last Updated: 06/29/16